Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05452 Sound Minor Always Feb 7, 2014, 05:28 Mar 29, 2017, 19:55
Tester spyhunter View Status Public Platform MAMEUI
Assigned To Resolution Open OS Windows Vista/7/8 (64-bit)
Status [?] Confirmed Driver mcr3.cpp
Version 0.122u1 Fixed in Version Build Normal
Summary 05452: spyhunt: Spy Hunter Sound Effects Bad
Description Several of the sound effects, including all of the weapons, and especially the chopper in the game are missing their full sound spectrum and or distorted, as if they are just static, or blips and bleeps. I don't know why this hasn't been discovered and fixed in over 10 years, but every other very popular arcade game that I play with MAME has perfect sound compared to this. I have used many different computers and many different Mame versions, and still these sounds are never fixed. Was it a bad batch of roms or an actual bug, or a limitation of Mame in some way (can't imagine)? Thank You for your time!
Steps To Reproduce Just play the game.
Additional Information
Flags
Regression Version
Affected Sets / Systems spyhunt
Attached Files
jpg file icon sound.jpg (2,086,088 bytes) Feb 13, 2014, 04:22 Uploaded by spyhunter
mp3 file icon SH.mp3 (1,091,075 bytes) Nov 9, 2016, 09:56 Uploaded by Fujix
(recompressed) original posted by spyhunter
mp3 file icon Oil+-+Smoke.mp3 (130,387 bytes) Nov 9, 2016, 09:56 Uploaded by Fujix
(recompressed) original posted by spyhunter
mp3 file icon spy+hunter+comparison.mp3 (135,412 bytes) Nov 9, 2016, 09:57 Uploaded by Fujix
(recompressed) original posted by zaxxon
Relationships
There are no relationsihp linked to this issue.
Notes
16
User avatar
No.10247
Tafoid
Administrator
Feb 7, 2014, 15:05
edited on: Feb 7, 2014, 15:41
Ok. We need some proof here - direct recording from PCB is the only way to tell there is not any effects coming for cabinet or other hardware hooked up to the audio subsystem. Just saying it's "bad" is not enough. Without reference (how it should sound) material, this cannot be accepted. Given the other recent posts you've done in other forums - you report you have a cockpit version of Spy Hunter. If you truly own it, recording it should not be much of an issue to support your claim.

MAME also does not have an romset specifically made for the Spy Hunter Cockpit. Just like the Discs of Tron Environmental Cab, there is a difference in how those cabinets present and project sound along with romset differences. If that is the case, the ROMs from your machine itself would need to be read and compared.

User avatar
No.10253
spyhunter
Tester
Feb 8, 2014, 13:09
Hard to believe that you need proof when it's such a successful game with thousands of collectors and the Mame playing population is so huge, but I will attach it here when I get a chance. This is like if pac-man wore the bow on his head instead of Ms. Pac-man...

SH
User avatar
No.10255
Tafoid
Administrator
Feb 8, 2014, 16:50
Well, If it were an issue before, given the thousands of collectors/mame playing public would have reported something earlier than now. This all makes me believe it's more of a Cockpit specific audio experience (w/panning/filtering/vibrato) which is part of the hardware of only certain styles of machines and not from a common upright. Sorry if you feel put out at all by this but without any references MAME will never be able to change to mirror your audio experience.



.
User avatar
No.10257
NekoEd
Senior Tester
Feb 8, 2014, 18:46
MAME is like the courts, everything is evidence. If you have any information; recordings, schematics, pictures, videos (especially videos) then all of this will assist your case. As it stands, it's your word against everyone else's, and if you have a cockpit version that has some kind of difference we are very interested in what the differences are so they can be properly emulated. But without any information beyond your word, we can't take any action.

I'm going to acknowledge this for seven (7) days. If you have no further usable information by then, I will close this bug as invalid.
User avatar
No.10258
spyhunter
Tester
Feb 9, 2014, 03:28
I'll record my machine, but even though the sound boards are technically different in the upright, I grew up playing several uprights and they didn't really sound any different. I'll get the recordings to you in the next couple of days. It would be great to be a part of the history of a fix for this, I just hope it will be able to be fixed. Thanks!
User avatar
No.10275
spyhunter
Tester
Feb 10, 2014, 05:04
edited on: Feb 10, 2014, 05:05
Recording above added with the car bumping sound first, followed by the full sound test screen in the settings. I'll also attach a separate oil and smoke as they are the most messed up. You will so easily be able to tell the difference as the real sounds have depth, and the smoke actually has a billowing sound to it, nothing like the original...

SH

User avatar
No.10281
NekoEd
Senior Tester
Feb 11, 2014, 00:08
Okay, thanks, that's a good start, and I'll lift the time restriction. Is there any difference in the sound board on your machine? If you could get some nice quality photos of it that would also help, if you're willing to get in there and snap away a bit. :3
User avatar
No.10282
zaxxon
Tester
Feb 11, 2014, 13:35
hi, i have added a wav file above for easy comparison of hearing the difference between the spy hunter cabinet and mame version (0.152)

it plays as follows:
first sound: cabinet oil sound
second sound: mame oil sound
third sound: cabinet smoke sound
fourth sound: mame smoke sound
User avatar
No.10283
spyhunter
Tester
Feb 13, 2014, 02:11
There is nothing special about my board, I played many arcades and they all sounded exactly the same, plus if you listen to some of the game console and pc ports of the game, while they are not perfect, they are more closely related to the machine sound then the ones on Mame. Can you shed some light on this, have there been other games in Mame with sound issues related to a bad ROM dump or something like that? I will try to snap some pictures tonight...
User avatar
No.10348
NekoEd
Senior Tester
Mar 8, 2014, 20:36
We've got someone working on this now, thank you for all the information.
User avatar
No.10350
hap
Developer
Mar 8, 2014, 23:15
we do? ;p

I was hoping it was due to high level emulation of AY8910 modulation in audio/midway.c (see line 170 for info), but I can safely assure it's not due to that. Doing low level(accurate) emulation of this won't have an audible difference and just makes it slower.

/me unassigns for now
User avatar
No.10351
hap
Developer
Mar 9, 2014, 17:57
ah, a note from AWJ:

AWJ: we fake the volume control, but that's not why the smokescreen doesn't sound like a real board
AWJ: we're missing lowpass filtering after the volume controls. the smokescreen noise is white when it should be brown
User avatar
No.11945
spyhunter
Tester
Aug 8, 2015, 02:33
It still pains me to see youtube videos of this game with horrible sounds, any movement on this?
User avatar
No.12547
trebor
Tester
Apr 23, 2016, 15:36
Note from R. Belmont:
"[The] problem is quite esoteric in a technical sense (it involves analog electronics, a foreign subject to most hobbyist emulation developers). There is one developer in all of MAME with anything like the necessary skill set, and as you might imagine he's quite valuable at his paid day job. He'll probably get to this eventually, but it may be many more years; he's currently fixing similar defects in the sound of IREM games like Moon Patrol and Kid Niki."

Source: http://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Number=353386
User avatar
No.13338
Fujix
Administrator
Nov 9, 2016, 09:57
Recompressed attached wav files.
User avatar
No.13742
spyhunter
Tester
Mar 29, 2017, 19:55
edited on: Mar 29, 2017, 19:56
Would this be a problem with MAME or the actual ROM uploads. It's funny how the other sounds are good, just about half of them are jacked.

Also the music is noticeably slower than it should be, but that's a minor problem.